{
  supportedSystems ? [ "x86_64-linux" ]
}:

with (import <nixpkgs/pkgs/top-level/release-lib.nix> { inherit supportedSystems; });

{
  jpierre03.gallery.MASTER = import ./gogs-jpierre03-gallery-MASTER.nix;
  jpierre03.blog_r6d.tag = import ./github-r6d.nix;
  jpierre03.blog_lothy_recette  = import ./blog-lothy-recette.nix; 
  jpierre03.blog_sandbox  = import ./blog-sandbox.nix;
  jpierre03.gogs_jpierre03_homepage = import ./gogs-jpierre03-homepage.nix;
  jpierre03.gogs_openlayer = import ./gogs-openlayer.nix;

  #jpierre03.osm2pgsql = import ./osm2pgsql.nix;

  teleragno.www.tag = import ./github-teleragno-www.nix;
  teleragno.www.MASTER = import ./github-teleragno-www-MASTER.nix;

  midpix.slibtool = import ./midipix.nix;
} /*  // {
  # Simply assign a derivation to an attribute to have it built.
  hello_world_1 = pkgs_x86_64_linux.hello;

  # 'hydraJob' strips all non-essential attributes.
  hello_world_2 = pkgs.lib.hydraJob pkgs_x86_64_linux.hello;

} // mapTestOn {

  # Fancy shortcut to generate one attribute per supported platform.
  hello = supportedSystems;
} */
